質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.78%

windowsでseabornのインストールは出来きましたが、import時にエラーになってしまいます。

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,530
退会済みユーザー

退会済みユーザー

インストールまではエラーが出ないのですが、import seabornのところでエラーが出てしまいます。アップデート後に、pip uninstall seaborn、pip install seabornを試してみましたが、同様のエラー(ImportError: DLL load failed: 指定されたプロシージャが見つかりません。)が出てしまいます。よろしくお願いします。

!pip install seaborn

Requirement already satisfied: seaborn in c:\users\mitsu\anaconda3\lib\site-packages (0.9.0)
Requirement already satisfied: numpy>=1.9.3 in c:\users\mitsu\anaconda3\lib\site-packages (from seaborn) (1.15.1)
Requirement already satisfied: matplotlib>=1.4.3 in c:\users\mitsu\anaconda3\lib\site-packages (from seaborn) (2.2.3)
Requirement already satisfied: scipy>=0.14.0 in c:\users\mitsu\anaconda3\lib\site-packages (from seaborn) (1.1.0)
Requirement already satisfied: pandas>=0.15.2 in c:\users\mitsu\anaconda3\lib\site-packages (from seaborn) (0.23.4)
Requirement already satisfied: cycler>=0.10 in c:\users\mitsu\anaconda3\lib\site-packages (from matplotlib>=1.4.3->seaborn) (0.10.0)
Requirement already satisfied: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 in c:\users\mitsu\anaconda3\lib\site-packages (from matplotlib>=1.4.3->seaborn) (2.2.0)
Requirement already satisfied: python-dateutil>=2.1 in c:\users\mitsu\anaconda3\lib\site-packages (from matplotlib>=1.4.3->seaborn) (2.7.3)
Requirement already satisfied: pytz in c:\users\mitsu\anaconda3\lib\site-packages (from matplotlib>=1.4.3->seaborn) (2018.5)
Requirement already satisfied: six>=1.10 in c:\users\mitsu\anaconda3\lib\site-packages (from matplotlib>=1.4.3->seaborn) (1.11.0)
Requirement already satisfied: kiwisolver>=1.0.1 in c:\users\mitsu\anaconda3\lib\site-packages (from matplotlib>=1.4.3->seaborn) (1.0.1)
Requirement already satisfied: setuptools in c:\users\mitsu\anaconda3\lib\site-packages (from kiwisolver>=1.0.1->matplotlib>=1.4.3->seaborn) (40.2.0)


import seaborn as sns

---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
<ipython-input-17-a84c0541e888> in <module>()
----> 1 import seaborn as sns

~\Anaconda3\lib\site-packages\seaborn\__init__.py in <module>()
      4 
      5 # Import seaborn objects
----> 6 from .rcmod import *
      7 from .utils import *
      8 from .palettes import *

~\Anaconda3\lib\site-packages\seaborn\rcmod.py in <module>()
      3 import functools
      4 import matplotlib as mpl
----> 5 from . import palettes, _orig_rc_params
      6 
      7 

~\Anaconda3\lib\site-packages\seaborn\palettes.py in <module>()
     10 from .external.six.moves import range
     11 
---> 12 from .utils import desaturate, set_hls_values, get_color_cycle
     13 from .colors import xkcd_rgb, crayons
     14 

~\Anaconda3\lib\site-packages\seaborn\utils.py in <module>()
      9 import matplotlib as mpl
     10 import matplotlib.colors as mplcol
---> 11 import matplotlib.pyplot as plt
     12 
     13 from .external.six.moves.urllib.request import urlopen, urlretrieve

~\Anaconda3\lib\site-packages\matplotlib\pyplot.py in <module>()
     29 from cycler import cycler
     30 import matplotlib
---> 31 import matplotlib.colorbar
     32 from matplotlib import style
     33 from matplotlib import _pylab_helpers, interactive

~\Anaconda3\lib\site-packages\matplotlib\colorbar.py in <module>()
     34 import matplotlib.collections as collections
     35 import matplotlib.colors as colors
---> 36 import matplotlib.contour as contour
     37 import matplotlib.cm as cm
     38 import matplotlib.gridspec as gridspec

~\Anaconda3\lib\site-packages\matplotlib\contour.py in <module>()
     18 import matplotlib.colors as colors
     19 import matplotlib.collections as mcoll
---> 20 import matplotlib.font_manager as font_manager
     21 import matplotlib.text as text
     22 import matplotlib.cbook as cbook

~\Anaconda3\lib\site-packages\matplotlib\font_manager.py in <module>()
     56 import logging
     57 
---> 58 from matplotlib import afm, cbook, ft2font, rcParams, get_cachedir
     59 from matplotlib.compat import subprocess
     60 from matotlib.fontconfig_pattern import (

ImportError: DLL load failed: 指定されたプロシージャが見つかりません。
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

check解決した方法

0

数時間解決しようと試みましたが上手くいかなかったので、バージョンダウンしてseabornを使うことにしました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.78%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る